Package fr.gouv.vitam.metadata.core.database.collections

# Class ResultError

java.lang.Object
fr.gouv.vitam.metadata.core.database.collections.Result<MetadataDocument<?>>
fr.gouv.vitam.metadata.core.database.collections.ResultError

public class ResultError extends Result<MetadataDocument<?>>
Result Error only

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.metadata.core.database.collections.Result

  `currentIds, facetResult, finalResult, IDLIST, nbResult, RESULT_FIELD, scores, scrollId, total, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResultError(BuilderToken.FILTERARGS type)`
  Constructor
  `ResultError(BuilderToken.FILTERARGS type, Set<String> set)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResultError`
  `addError(String error)`
  `boolean`
  `isError()`
  `ResultError`
  `putFrom(Result<MetadataDocument<?>> from)`
  Put from argument

  ### Methods inherited from class fr.gouv.vitam.metadata.core.database.collections.Result

  `addFacetResult, addFinal, addId, clear, getCurrentIds, getCurrentScores, getFacet, getFinal, getListFiltered, getNbResult, getScrollId, getTotal, getType, hasFinalResult, setFinal, setScrollId, setTotal, setUpdatedResult, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResultError

    public ResultError(BuilderToken.FILTERARGS type)
    Constructor
    Parameters:
      `type` - of filter argument

  - ### ResultError

    public ResultError(BuilderToken.FILTERARGS type, Set<String> set)
    Parameters:
      `type` - of filter argument
      `set` - of collection

- ## Method Details

  - ### isError

    public boolean isError()
    Overrides:
      `isError` in class `Result<MetadataDocument<?>>`
    Returns:
      True if this result is in error status (list containing error status)

  - ### addError

    public ResultError addError(String error)
    Parameters:
      `error` - as a String for adding to ResultError
    Returns:
      ResultError with an error added

  - ### putFrom

    public ResultError putFrom(Result<MetadataDocument<?>> from)
    Description copied from class: `Result`
    Put from argument
    Overrides:
      `putFrom` in class `Result<MetadataDocument<?>>`
    Parameters:
      `from` - the Result for creating another
    Returns:
      Result created